Package com.independentsoft.office.spreadsheet.formulaParsing

# Enum Class FormulaTokenType

java.lang.Object
java.lang.Enum<FormulaTokenType>
com.independentsoft.office.spreadsheet.formulaParsing.FormulaTokenType

All Implemented Interfaces:
  `Serializable`, `Comparable<FormulaTokenType>`, `Constable`

public enum FormulaTokenType extends Enum<FormulaTokenType>
The Enum FormulaTokenType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARGUMENT`
  `FUNCTION`
  `NOOP`
  `OPERAND`
  `OPERATOR_INFIX`
  `OPERATOR_POSTFIX`
  `OPERATOR_PREFIX`
  `SUBEXPRESSION`
  `UNKNOWN`
  `WHITESPACE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FormulaTokenType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FormulaTokenType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOOP

    public static final FormulaTokenType NOOP

  - ### OPERAND

    public static final FormulaTokenType OPERAND

  - ### FUNCTION

    public static final FormulaTokenType FUNCTION

  - ### SUBEXPRESSION

    public static final FormulaTokenType SUBEXPRESSION

  - ### ARGUMENT

    public static final FormulaTokenType ARGUMENT

  - ### OPERATOR_PREFIX

    public static final FormulaTokenType OPERATOR_PREFIX

  - ### OPERATOR_INFIX

    public static final FormulaTokenType OPERATOR_INFIX

  - ### OPERATOR_POSTFIX

    public static final FormulaTokenType OPERATOR_POSTFIX

  - ### WHITESPACE

    public static final FormulaTokenType WHITESPACE

  - ### UNKNOWN

    public static final FormulaTokenType UNKNOWN

- ## Method Details

  - ### values

    public static FormulaTokenType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FormulaTokenType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null